package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_PURCHASE_RANGE所对应的实体类（生成工具：代码生成工具4.0
 * 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2017-06-07
 */
@SuppressWarnings("serial")
public class ComBasePurchaseRangeEntity implements java.io.Serializable {
	/**
	 * 供应范围代码（RAG+7位流水)
	 */
	private String rangeId = "";
	/**
	 * 供应商代码
	 */
	private String suppCode = "";
	/**
	 * 规格（管坯规格代码：COM_BASE_SPEC）
	 */
	private String specCode = "";
	/**
	 * 规格描述
	 */
	private String specName = "";
	/**
	 * 长度最长mm
	 */
	private String lenMax = "";
	/**
	 * 长度最短mm
	 */
	private String lenMin = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";

	/**
	 * 供应范围代码（RAG+7位流水)
	 * 
	 * @return value
	 */
	public String getRangeId() {
		return rangeId;
	}

	/**
	 * 供应范围代码（RAG+7位流水)
	 * 
	 * @param rangeId
	 *            value
	 */
	public void setRangeId(String rangeId) {
		this.rangeId = rangeId;
	}

	/**
	 * 供应商代码
	 * 
	 * @return value
	 */
	public String getSuppCode() {
		return suppCode;
	}

	/**
	 * 供应商代码
	 * 
	 * @param suppCode
	 *            value
	 */
	public void setSuppCode(String suppCode) {
		this.suppCode = suppCode;
	}

	/**
	 * 规格（管坯规格代码：COM_BASE_SPEC）
	 * 
	 * @return value
	 */
	public String getSpecCode() {
		return specCode;
	}

	/**
	 * 规格（管坯规格代码：COM_BASE_SPEC）
	 * 
	 * @param specCode
	 *            value
	 */
	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	/**
	 * 规格描述
	 * 
	 * @return value
	 */
	public String getSpecName() {
		return specName;
	}

	/**
	 * 规格描述
	 * 
	 * @param specName
	 *            value
	 */
	public void setSpecName(String specName) {
		this.specName = specName;
	}

	/**
	 * 长度最长mm
	 * 
	 * @return value
	 */
	public String getLenMax() {
		return lenMax;
	}

	/**
	 * 长度最长mm
	 * 
	 * @param lenMax
	 *            value
	 */
	public void setLenMax(String lenMax) {
		this.lenMax = lenMax;
	}

	/**
	 * 长度最短mm
	 * 
	 * @return value
	 */
	public String getLenMin() {
		return lenMin;
	}

	/**
	 * 长度最短mm
	 * 
	 * @param lenMin
	 *            value
	 */
	public void setLenMin(String lenMin) {
		this.lenMin = lenMin;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}
}